Procházet zdrojové kódy

Initial debianization

ppa
Timo Röhling před 12 roky
rodič
revize
d500be142e
9 změnil soubory, kde provedl 130 přidání a 0 odebrání
  1. 5
    0
      debian/changelog
  2. 1
    0
      debian/compat
  3. 17
    0
      debian/control
  4. 22
    0
      debian/copyright
  5. 1
    0
      debian/lintian-overrides
  6. 32
    0
      debian/postinst
  7. 31
    0
      debian/postrm
  8. 20
    0
      debian/rules
  9. 1
    0
      debian/source/format

+ 5
- 0
debian/changelog Zobrazit soubor

@@ -0,0 +1,5 @@
1
+postsrsd (0+git20121217) precise; urgency=low
2
+
3
+  * Initial release.
4
+
5
+ -- Timo Röhling <timo.roehling@gmx.de>  Mon, 17 Dec 2012 23:14:23 +0100

+ 1
- 0
debian/compat Zobrazit soubor

@@ -0,0 +1 @@
1
+7

+ 17
- 0
debian/control Zobrazit soubor

@@ -0,0 +1,17 @@
1
+Source: postsrsd
2
+Section: admin
3
+Priority: extra
4
+Maintainer: Timo Röhling <timo.roehling@gmx.de>
5
+Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.4), help2man
6
+Standards-Version: 3.9.3
7
+Homepage: https://github.com/roehling/postsrsd
8
+
9
+Package: postsrsd
10
+Architecture: any
11
+Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (>= 2.2)
12
+Description: Sender Rewriting Scheme implementation for Postfix
13
+ Implements two TCP lookup tables to rewrite mail addresses
14
+ as needed. The forward SRS is for sender envelope addresses
15
+ to prevent SPF-related bounces. The reverse SRS is for
16
+ recipient envelope addresses so that bounced mails can be
17
+ routed back to their original sender.

+ 22
- 0
debian/copyright Zobrazit soubor

@@ -0,0 +1,22 @@
1
+Format: http://dep.debian.net/deps/dep5
2
+Upstream-Name: postsrsd
3
+Source: https://github.com/roehling/postsrsd
4
+
5
+Files: *
6
+Copyright: 2012 Timo Röhling <timo.roehling@gmx.de>
7
+License: GPL-2+
8
+ This package is free software; you can redistribute it and/or modify
9
+ it under the terms of the GNU General Public License as published by
10
+ the Free Software Foundation; either version 2 of the License, or
11
+ (at your option) any later version.
12
+ .
13
+ This package is distributed in the hope that it will be useful,
14
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
15
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16
+ GNU General Public License for more details.
17
+ .
18
+ You should have received a copy of the GNU General Public License
19
+ along with this program. If not, see <http://www.gnu.org/licenses/>
20
+ .
21
+ On Debian systems, the complete text of the GNU General
22
+ Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

+ 1
- 0
debian/lintian-overrides Zobrazit soubor

@@ -0,0 +1 @@
1
+postsrsd: new-package-should-close-itp-bug

+ 32
- 0
debian/postinst Zobrazit soubor

@@ -0,0 +1,32 @@
1
+#!/bin/sh
2
+# postinst script for postsrsd
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <postinst> `configure' <most-recently-configured-version>
10
+#        * <old-postinst> `abort-upgrade' <new version>
11
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
12
+#          <new-version>
13
+#        * <postinst> `abort-remove'
14
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
15
+#          <failed-install-package> <version> `removing'
16
+#          <conflicting-package> <version>
17
+# for details, see http://www.debian.org/doc/debian-policy/ or
18
+# the debian-policy package
19
+
20
+
21
+if [ "$1" = "configure" -a ! -f /etc/postsrsd.secret ]
22
+then
23
+	echo "postsrsd: Generating initial /etc/postsrsd.secret" >&2
24
+	( umask 0077 ; dd if=/dev/urandom bs=18 count=1 | base64 -w0 > /etc/postsrsd.secret )
25
+fi
26
+
27
+# dh_installdeb will replace this with shell code automatically
28
+# generated by other debhelper scripts.
29
+
30
+#DEBHELPER#
31
+
32
+exit 0

+ 31
- 0
debian/postrm Zobrazit soubor

@@ -0,0 +1,31 @@
1
+#!/bin/sh
2
+# postrm script for postsrsd
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <postrm> `remove'
10
+#        * <postrm> `purge'
11
+#        * <old-postrm> `upgrade' <new-version>
12
+#        * <new-postrm> `failed-upgrade' <old-version>
13
+#        * <new-postrm> `abort-install'
14
+#        * <new-postrm> `abort-install' <old-version>
15
+#        * <new-postrm> `abort-upgrade' <old-version>
16
+#        * <disappearer's-postrm> `disappear' <overwriter>
17
+#          <overwriter-version>
18
+# for details, see http://www.debian.org/doc/debian-policy/ or
19
+# the debian-policy package
20
+
21
+
22
+if [ "$1" = "purge" ]; then
23
+	rm -f /etc/postsrsd.secret
24
+fi
25
+
26
+# dh_installdeb will replace this with shell code automatically
27
+# generated by other debhelper scripts.
28
+
29
+#DEBHELPER#
30
+
31
+exit 0

+ 20
- 0
debian/rules Zobrazit soubor

@@ -0,0 +1,20 @@
1
+#!/usr/bin/make -f
2
+# -*- makefile -*-
3
+# Sample debian/rules that uses debhelper.
4
+# This file was originally written by Joey Hess and Craig Small.
5
+# As a special exception, when this file is copied by dh-make into a
6
+# dh-make output file, you may use that output file without restriction.
7
+# This special exception was added by Craig Small in version 0.37 of dh-make.
8
+
9
+# Uncomment this to turn on verbose mode.
10
+#export DH_VERBOSE=1
11
+
12
+%:
13
+	dh $@ --buildsystem=cmake
14
+	
15
+override_dh_auto_configure:
16
+	dh_auto_configure -O--buildsystem=cmake -- -DCMAKE_BUILD_TYPE=Release -DGENERATE_SRS_SECRET=OFF
17
+
18
+override_dh_installinit:
19
+	dh_installinit -o
20
+

+ 1
- 0
debian/source/format Zobrazit soubor

@@ -0,0 +1 @@
1
+3.0 (native)

Načítá se…
Zrušit
Uložit